Page Saver 2.8.9

This week we have released version 2.8.9 of Page Saver.  It fixes a compatibility problem with Firefox 51 and newer which have multiprocess mode enabled by default.  The new version should be available soon (it is awaiting review by Mozilla).

In the meantime, you can set both of the following preferences to “true” in about:config:

browser.tabs.remote.autostart
browser.tabs.remote.autostart.2

Restart Firefox after making the above preference changes.

Thank you to the people who reported the compatibility problems.  We appreciate your assistance!

 

p.s. If you are still using Page Saver Pro, please switch to the Page Saver that is available on the Mozilla add-ons site.

Leave a Reply

Comments will be closed on March 1, 2017.